org.icefaces.ace.component.ajax

## Class AjaxBehaviorHandlerBase

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - org.icefaces.ace.component.ajax.AjaxBehaviorHandlerBase

- All Implemented Interfaces:
    javax.faces.view.facelets.FaceletHandler
  Direct Known Subclasses:
    AjaxBehaviorHandler

      public class AjaxBehaviorHandlerBase
      extends javax.faces.view.facelets.TagHandler

  Applied on components that support client behaviors similar to the standard f:ajax behavior.

  For more information, see the Ajax Wiki Documentation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BEHAVIOR_ID`
    `protected javax.faces.view.facelets.TagAttribute` | `disabled`
    `protected javax.faces.view.facelets.TagAttribute` | `event`
    `protected javax.faces.view.facelets.TagAttribute` | `execute`
    `protected javax.faces.view.facelets.TagAttribute` | `immediate`
    `protected javax.faces.view.facelets.TagAttribute` | `listener`
    `protected javax.faces.view.facelets.TagAttribute` | `onComplete`
    `protected javax.faces.view.facelets.TagAttribute` | `onError`
    `protected javax.faces.view.facelets.TagAttribute` | `onStart`
    `protected javax.faces.view.facelets.TagAttribute` | `onSuccess`
    `protected javax.faces.view.facelets.TagAttribute` | `render`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxBehaviorHandlerBase(javax.faces.view.facelets.TagConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BEHAVIOR_ID

          public static final java.lang.String BEHAVIOR_ID

      See Also:
        Constant Field Values

    - #### disabled

          protected final javax.faces.view.facelets.TagAttribute disabled

    - #### event

          protected final javax.faces.view.facelets.TagAttribute event

    - #### execute

          protected final javax.faces.view.facelets.TagAttribute execute

    - #### immediate

          protected final javax.faces.view.facelets.TagAttribute immediate

    - #### listener

          protected final javax.faces.view.facelets.TagAttribute listener

    - #### onComplete

          protected final javax.faces.view.facelets.TagAttribute onComplete

    - #### onError

          protected final javax.faces.view.facelets.TagAttribute onError

    - #### onStart

          protected final javax.faces.view.facelets.TagAttribute onStart

    - #### onSuccess

          protected final javax.faces.view.facelets.TagAttribute onSuccess

    - #### render

          protected final javax.faces.view.facelets.TagAttribute render

  - ### Constructor Detail

    - #### AjaxBehaviorHandlerBase

          public AjaxBehaviorHandlerBase(javax.faces.view.facelets.TagConfig config)

  - ### Method Detail

    - #### apply

          public void apply(javax.faces.view.facelets.FaceletContext ctx,
                            javax.faces.component.UIComponent parent)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.